Update CRM view
PATCH
/v1/crm/views/{viewID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
viewIDstringrequiredRequest body
requiredapplication/jsoncolumnsCRMViewColumn[] | nullShow propertiesHide properties
Array of
CRMViewColumnfieldstringrequiredhiddenbooleanlabelstringpinnedstringpositioninteger<int32>sourcestringwidthinteger<int32>descriptionstringdisplay_typestringAllowed:
tablekanbancalendarfiltersCRMRecordFilter[] | nullShow propertiesHide properties
Array of
CRMRecordFilterfieldstringrequiredoperatorstringsourcestringvalueanygroup_byCRMViewGroupBy[] | nullShow propertiesHide properties
Array of
CRMViewGroupBydirectionstringfieldstringrequiredsourcestringis_defaultbooleanis_pinnedbooleanmetadataanynamestringrequiredrow_heightstringAllowed:
compactcomfortablespacioussortsCRMRecordSort[] | nullShow propertiesHide properties
Array of
CRMRecordSortdirectionstringfieldstringrequiredsourcestringsource_list_idstringvisibilitystringAllowed:
privatesharedResponses
200OK
columnsCRMViewColumn[] | nullShow propertiesHide properties
Array of
CRMViewColumnfieldstringrequiredhiddenbooleanlabelstringpinnedstringpositioninteger<int32>sourcestringwidthinteger<int32>created_atstringrequireddescriptionstring | nullrequireddisplay_typestringrequiredfiltersCRMRecordFilter[] | nullShow propertiesHide properties
Array of
CRMRecordFilterfieldstringrequiredoperatorstringsourcestringvalueanygroup_byCRMViewGroupBy[] | nullShow propertiesHide properties
Array of
CRMViewGroupBydirectionstringfieldstringrequiredsourcestringidstringrequiredis_defaultbooleanis_pinnedbooleanmetadataanyrequirednamestringrequiredobject_kindstringrequiredrow_heightstringsortsCRMRecordSort[] | nullShow propertiesHide properties
Array of
CRMRecordSortdirectionstringfieldstringrequiredsourcestringsource_list_idstring | nullrequiredupdated_atstringrequiredvisibilitystring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/crm/views/string" \
-H "Content-Type: application/json" \
-d '{
"columns": [
{
"field": "string",
"hidden": true,
"label": "string",
"pinned": "string",
"position": 0,
"source": "string",
"width": 0
}
],
"description": "string",
"display_type": "table",
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"group_by": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"is_default": true,
"is_pinned": true,
"metadata": "string",
"name": "string",
"row_height": "compact",
"sorts": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"source_list_id": "string",
"visibility": "private"
}'const response = await fetch("/v1/crm/views/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"columns": [
{
"field": "string",
"hidden": true,
"label": "string",
"pinned": "string",
"position": 0,
"source": "string",
"width": 0
}
],
"description": "string",
"display_type": "table",
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"group_by": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"is_default": true,
"is_pinned": true,
"metadata": "string",
"name": "string",
"row_height": "compact",
"sorts": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"source_list_id": "string",
"visibility": "private"
})
});import requests
response = requests.patch(
"/v1/crm/views/string",
headers={
"Content-Type": "application/json"
},
json={
"columns": [
{
"field": "string",
"hidden": True,
"label": "string",
"pinned": "string",
"position": 0,
"source": "string",
"width": 0
}
],
"description": "string",
"display_type": "table",
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"group_by": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"is_default": True,
"is_pinned": True,
"metadata": "string",
"name": "string",
"row_height": "compact",
"sorts": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"source_list_id": "string",
"visibility": "private"
},
)Response
{
"columns": [
{
"field": "string",
"hidden": true,
"label": "string",
"pinned": "string",
"position": 0,
"source": "string",
"width": 0
}
],
"created_at": "string",
"description": "string",
"display_type": "string",
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"group_by": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"id": "string",
"is_default": true,
"is_pinned": true,
"metadata": "string",
"name": "string",
"object_kind": "string",
"row_height": "string",
"sorts": [
{
"direction": "string",
"field": "string",
"source": "string"
}
],
"source_list_id": "string",
"updated_at": "string",
"visibility": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}